jQuery(function($) {

	"use strict";
		window.nova_slick_slider = function(carousel){

			var $slider = $(carousel),
					options =  $slider.data('slider_config') || {};

			var init = function(){
					setup_slick();
			};

			var setup_slick = function(){
					var laptopSlides, tabletPortraitSlides, tabletSlides, mobileSlides, mobilePortraitSlides, defaultOptions, slickOptions;
					laptopSlides = parseInt(options.slidesToShow.laptop) || 1;
					tabletSlides = parseInt(options.slidesToShow.tablet) || 1;
					tabletPortraitSlides = parseInt(options.slidesToShow.tablet_portrait) || 1;
					mobileSlides = parseInt(options.slidesToShow.mobile) || 1;
					mobilePortraitSlides = parseInt(options.slidesToShow.mobile_portrait) || 1;
					options.slidesToShow = parseInt(options.slidesToShow.desktop) || 1;

					defaultOptions = {

							responsive: [
									{
											breakpoint: 1600,
											settings: {
													slidesToShow: laptopSlides,
													slidesToScroll: options.slidesToScroll
											}
									},
									{
											breakpoint: 1025,
											settings: {
													slidesToShow: tabletSlides,
													slidesToScroll: tabletSlides
											}
									},
									{
											breakpoint: 800,
											settings: {
													slidesToShow: tabletPortraitSlides,
													slidesToScroll: tabletPortraitSlides
											}
									},
									{
											breakpoint: 768,
											settings: {
													slidesToShow: mobileSlides,
													slidesToScroll: mobileSlides
											}
									},
									{
											breakpoint: 577,
											settings: {
													slidesToShow: mobilePortraitSlides,
													slidesToScroll: mobilePortraitSlides
											}
									}
							]
					};

					slickOptions = $.extend( {}, defaultOptions, options );
					$slider.not('.slick-initialized').slick( slickOptions );
			};

			return init();

	};
	if($('.slick-carousel').length > 0) {
		var slick_carousel = $('.slick-carousel');
		slick_carousel.each(function(){
				nova_slick_slider($(this));
		});
	}
})
