<?php

// =============================================================================
// Enqueue Scripts
// =============================================================================

if ( ! function_exists('nova_scripts') ) :
function nova_scripts() {

	if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) {
		wp_enqueue_script('select2');
		wp_enqueue_script('flexslider');
		wp_enqueue_script('wc-single-product');
		wp_enqueue_script('wc-add-to-cart-variation');
	}

	if ( NOVA_VISUAL_COMPOSER_IS_ACTIVE) // If VC exists/active load scripts after VC
	{
		$dependencies = array('jquery', 'wpb_composer_front_js');
	}
	else // Do not depend on VC
	{
		$dependencies = array('jquery');
	}
	wp_enqueue_script('nova-app', get_template_directory_uri() . '/assets/js/app.js', $dependencies, nova_theme_version(), TRUE);

	if ( NOVA_WCVS_IS_ACTIVE ) // If WCVS exists/active load scripts
	{
		$wcvs_active = 'yes';
	} else {
		$wcvs_active = 'no';
	}

	// Send wp variables to js

	$nova_js_vars = array(
		'site_preloader' 						=> Nova_OP::getOption('site_preloader'),
		'select_placeholder'        => esc_html__( 'Choose an option', 'bellery' ),
		'blog_pagination_type' 			=> Nova_OP::getOption('blog_pagination'),
		'load_more_btn'        			=> esc_html__( 'Load more', 'bellery' ),
		'enable_header_sticky' 			=> Nova_OP::getOption('enable_header_sticky'),
		'shop_pagination_type' 			=> Nova_OP::getOption('shop_pagination'),
		'accent_color' 							=> Nova_OP::getOption('secondary_button_color'),
		'shop_display'							=> Nova_OP::getOption('shop_layout_style'),
		'popup_show_after'					=> Nova_OP::getOption('popup_show_after'),
		'product_swatches'					=> $wcvs_active,
		'is_customize_preview'			=> is_customize_preview()
	);

	wp_localize_script( 'nova-app', 'nova_js_var', $nova_js_vars );

	if (is_singular() && comments_open() && get_option( 'thread_comments')) {
		wp_enqueue_script('comment-reply');
	}

}
add_action( 'wp_enqueue_scripts', 'nova_scripts' );
endif;
