<?php
// -----------------------------------------------------------------------------
// Add Schemes color
// -----------------------------------------------------------------------------

if ( ! function_exists( 'nova_schemes_color_css' ) ) :
	function nova_schemes_color_css(){
	require_once( get_template_directory() . '/assets/css/var.css.php' );
	}
	add_action( 'wp_head', 'nova_schemes_color_css',98);
endif;

// -----------------------------------------------------------------------------
// Disable Font Variants
// -----------------------------------------------------------------------------
if ( ! function_exists( 'nova_disable_font_variants' ) ) :
	function nova_disable_font_variants() {
		if ( class_exists( 'Kirki_Fonts_Google' ) ) {
				Kirki_Fonts_Google::$force_load_all_variants = true;
		}
	}
	add_action( 'wp', 'nova_disable_font_variants');
endif;

// -----------------------------------------------------------------------------
// Google maps API
// -----------------------------------------------------------------------------
add_filter('nova-elements/advanced-map/api', 'nova_add_googlemap_api');
if(!function_exists('nova_add_googlemap_api')){
    function nova_add_googlemap_api( $key = '' ){
        return Nova_OP::getOption('google_map_api_key', $key);
    }
}
// -----------------------------------------------------------------------------
// Support SVG file upload
// -----------------------------------------------------------------------------
if ( ! function_exists( 'nova_allow_svg_upload' ) ) :
	function nova_allow_svg_upload($mimes) {
	  $mimes['svg'] = 'image/svg+xml';
	  return $mimes;
	}
	add_filter('upload_mimes', 'nova_allow_svg_upload');
endif;
if ( ! function_exists( 'nova_fix_svg_thumb_display' ) ) :
	function nova_fix_svg_thumb_display() {
	  echo '<style>
	    td.media-icon img[src$=".svg"], img[src$=".svg"].attachment-post-thumbnail {
	      width: 100% !important;
	      height: auto !important;
	    }
	  </style>';
	}
	add_action('admin_head', 'nova_fix_svg_thumb_display');
endif;
