<?php

// ============================================
// Panel
// ============================================

Kirki::add_section( 'panel_header', array(
    'title'         => esc_html__( 'Header', 'bellery' ),
    'priority'       => 30,
    'capability'     => 'edit_theme_options',
) );


// ============================================
// Controls
// ============================================

Kirki::add_field( 'bellery', array(
    'type'        => 'select',
    'settings'    => 'header_template',
    'label'       => esc_html__( 'Header Template', 'bellery' ),
    'section'     => 'panel_header',
    'default'     => 'type-1',
    'priority'    => 10,
    'choices'     => array(
        'type-1'     => esc_html__( 'Header 01', 'bellery' ),
        'type-2'     => esc_html__( 'Header 02', 'bellery' ),
    ),
) );


  // ============================================
  // Sections
  // ============================================

  Kirki::add_section( 'header_settings', array(
      'title'          => esc_html__( 'Settings', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

  Kirki::add_section( 'header_logo', array(
      'title'          => esc_html__( 'Logo', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

  Kirki::add_section( 'header_elements', array(
      'title'          => esc_html__( 'Icons', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

  Kirki::add_section( 'header_top_bar', array(
      'title'          => esc_html__( 'Top Bar', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

  if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) :
  Kirki::add_section( 'header_shopbycat', array(
      'title'          => esc_html__( 'Shop By Categories', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );
  endif;

  Kirki::add_section( 'header_mobile', array(
      'title'          => esc_html__( 'Mobile Header', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

  Kirki::add_section( 'header_sticky', array(
      'title'          => esc_html__( 'Sticky Header', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

  Kirki::add_section( 'panel_megamenu', array(
      'title'         => esc_html__( 'Mega Menu', 'bellery' ),
      'priority'      => 10,
      'section'         => 'panel_header'
  ) );

  Kirki::add_section( 'page_header', array(
      'title'          => esc_html__( 'Page Header', 'bellery' ),
      'priority'       => 10,
      'capability'     => 'edit_theme_options',
      'section'          => 'panel_header',
  ) );

require_once(get_template_directory() .'/inc/customizer/backend/header/settings.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/elements.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/topbar.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/logo.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/shopbycategories.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/sticky.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/mobile.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/mega_menu/mega_menu.php');
require_once(get_template_directory() .'/inc/customizer/backend/header/page_header.php');
