<?php
$i = 10000;

//==============================================================================
//  End Nested Panels
//==============================================================================

function nova_widedropdown_backend() {

    $i = 1100;
    $menuloc = get_nav_menu_locations(); // Get our nav locations (set in our theme, usually functions.php)
    if( isset($menuloc['nova_menu_primary']) && !empty($menuloc['nova_menu_primary']) ) :
        $primaryID = $menuloc['nova_menu_primary']; // Get the *primary* menu ID
        $primaryNav = wp_get_nav_menu_items($primaryID); // Get the array of wp objects, the nav items for our queried location.
    endif;

    $categories = get_categories( array(
        'orderby'    => 'name',
        'order'      => 'ASC',
        'parent'     => 0,
        'hide_empty' => 0
    ) );

    $dropdown_choices = array();

    if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) :
        // Get Product categories for our sortable element
        $cats = get_terms( array( 'taxonomy' => 'product_cat','hide_empty' => 0, 'orderby' => 'ASC',  'parent' =>0) );
        $category_choices = array();
        $default_category_choices = array();
        foreach ($cats as $cat) {
            $default_category_choices[] = (string)$cat->term_id;
            $category_choices[$cat->term_id] = sprintf(esc_html__('%s', 'bellery'), $cat->name);
        }
        $dropdown_choices = array(
            'shop_mega'  => esc_html__( 'Shop - Mega Menu', 'bellery' )
        );
    endif;

    //==============================================================================
    //  Top Navigation Megamenu
    //==============================================================================
    if (isset($primaryNav) && is_array($primaryNav)):
        foreach ( $primaryNav as $navItem ) {
            if ($navItem->menu_item_parent != 0) continue;

            Kirki::add_section( 'megamenu_' . $navItem->ID, array(
                'title'          => $navItem->title,
                'priority'       => 50,
                'capability'     => 'edit_theme_options',
                'section'          => 'panel_megamenu',
            ) );


            Kirki::add_field( 'bellery', array(
                'type'        => 'switch',
                'settings'    => 'enable_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Enable Megamenu?', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => '0',
                'priority'    => 10,
                'choices'     => array(
                    'on'  => esc_html__( 'On', 'bellery' ),
                    'off' => esc_html__( 'Off', 'bellery' ),
                ),

            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'separator',
                'settings'    => 'separator_'. $i++,
                'section'     => 'megamenu_' . $navItem->ID,
                'active_callback'    => array(
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'radio',
                'settings'    => 'typeof_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Dropdown Type', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => 'shop_mega',
                'priority'    => 10,
                'choices'     => $dropdown_choices,
                'active_callback'    => array(
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'separator',
                'settings'    => 'separator_'. $i++,
                'section'     => 'megamenu_' . $navItem->ID,
                'active_callback'    => array(
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );
            include "partials/_mega_shop_categories.php";
        }
    endif;

}

add_action('init', 'nova_widedropdown_backend');
