<?php
function nova_shopbycat_backend() {
  $section = 'header_shopbycat';
  $i= 1230;
  if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) :
      // Get Product categories for our sortable element
      $cats = get_terms( array( 'taxonomy' => 'product_cat','hide_empty' => 0, 'orderby' => 'ASC',  'parent' =>0) );
      $category_choices = array();
      $default_category_choices = array();
      foreach ($cats as $cat) {
          $default_category_choices[] = (string)$cat->term_id;
          $category_choices[$cat->term_id] = sprintf(esc_html__('%s', 'bellery'), $cat->name);
      }
  endif;
  Kirki::add_field( 'bellery', array(
      'type'        => 'switch',
      'settings'    => 'enable_shopbycat',
      'label'       => esc_html__( 'Enable Shop by Categories?', 'bellery' ),
      'section'     => $section,
      'default'     => '0',
      'priority'    => 10,
      'choices'     => array(
          'on'  => esc_html__( 'On', 'bellery' ),
          'off' => esc_html__( 'Off', 'bellery' ),
      ),

  ) );

  if( !empty($category_choices) ) :
  Kirki::add_field( 'bellery', array(
      'type'        => 'sortable',
      'settings'    => 'shopbycat_product_categories',
      'label'       => esc_html__( 'Product Categories', 'bellery' ),
      'section'     => $section,
      'default'     => $default_category_choices,
      'choices'     => $category_choices,
      'priority'    => 10,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  Kirki::add_field( 'bellery', array(
      'type'        => 'separator',
      'settings'    => 'separator_'. $i++,
      'section'     => $section,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  Kirki::add_field( 'bellery', array(
      'type'        => 'checkbox',
      'settings'    => 'shopbycat_subcategories',
      'label'       => esc_html__( 'Display Subcategories', 'bellery' ),
      'section'     => $section,
      'default'     => '1',
      'priority'    => 10,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  Kirki::add_field( 'bellery', array(
      'type'        => 'separator',
      'settings'    => 'separator_'. $i++,
      'section'     => $section,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  Kirki::add_field( 'bellery', array(
      'type'        => 'checkbox',
      'settings'    => 'shopbycat_counter',
      'label'       => esc_html__( 'Show Product Counts', 'bellery' ),
      'section'     => $section,
      'default'     => '0',
      'priority'    => 10,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  Kirki::add_field( 'bellery', array(
      'type'        => 'separator',
      'settings'    => 'separator_'. $i++,
      'section'     => $section,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  Kirki::add_field( 'bellery', array(
      'type'        => 'checkbox',
      'settings'    => 'shopbycat_thumbnail',
      'label'       => esc_html__( 'Thumbs for Parent Categories', 'bellery' ),
      'section'     => $section,
      'default'     => '0',
      'priority'    => 10,
      'active_callback'    => array(
          array(
              'setting'  => 'enable_shopbycat',
              'operator' => '==',
              'value'    => true,
          ),
      ),
  ) );

  endif;

}
if( NOVA_WOOCOMMERCE_IS_ACTIVE ) :
add_action('init', 'nova_shopbycat_backend');
endif;
