<?php
function bellery_import_files() {

  $bellery_local_import_file = trailingslashit( get_template_directory() ) . 'inc/demo/bellery.wordpress.xml';
  $bellery_local_import_widget_file = trailingslashit( get_template_directory() ) . 'inc/demo/bellery.widgets.wie';
  $bellery_local_import_customizer_file = trailingslashit( get_template_directory() ) . 'inc/demo/bellery.export.dat';

  return array(
    array(
      'import_file_name'             => 'Bellery Demo',
      'categories'                   => array( esc_html__('Shop','bellery') ),
      'local_import_file'            => $bellery_local_import_file,
      'local_import_widget_file'     => $bellery_local_import_widget_file,
      'local_import_customizer_file' => $bellery_local_import_customizer_file,
      'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demo/bellery.demo-01.jpg',
      'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'bellery' ),
      'preview_url'                  => 'http://bellery.novaworks.net/',
    ),
    array(
      'import_file_name'             => 'Bellery Demo 02',
      'categories'                   => array( esc_html__('Shop','bellery') ),
      'local_import_file'            => $bellery_local_import_file,
      'local_import_widget_file'     => $bellery_local_import_widget_file,
      'local_import_customizer_file' => $bellery_local_import_customizer_file,
      'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demo/bellery.demo-02.jpg',
      'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'bellery' ),
      'preview_url'                  => 'http://bellery.novaworks.net/home-02/',
    ),
    array(
      'import_file_name'             => 'Bellery Demo 03',
      'categories'                   => array( esc_html__('Shop','bellery') ),
      'local_import_file'            => $bellery_local_import_file,
      'local_import_widget_file'     => $bellery_local_import_widget_file,
      'local_import_customizer_file' => $bellery_local_import_customizer_file,
      'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demo/bellery.demo-03.jpg',
      'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'bellery' ),
      'preview_url'                  => 'http://bellery.novaworks.net/home-03/',
    ),
    array(
      'import_file_name'             => 'Bellery Demo 04',
      'categories'                   => array( esc_html__('Shop','bellery') ),
      'local_import_file'            => $bellery_local_import_file,
      'local_import_widget_file'     => $bellery_local_import_widget_file,
      'local_import_customizer_file' => $bellery_local_import_customizer_file,
      'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'inc/demo/bellery.demo-04.jpg',
      'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'bellery' ),
      'preview_url'                  => 'http://bellery.novaworks.net/home-04/',
    ),
  );
}
add_filter( 'pt-ocdi/import_files', 'bellery_import_files' );

function bellery_after_import_setup( $selected_import ) {
    function set_elementor_config() {
      add_option( 'elementor_disable_color_schemes', 'yes' ,'yes' );
      add_option( 'elementor_disable_typography_schemes', 'yes' ,'yes' );
    }
    function set_reading_options( $settings ) {
      $reading_settings = $settings['reading_settings'];
      if ( ! empty( $reading_settings ) ) {
        $homepage   = get_page_by_title( html_entity_decode( $reading_settings['homepage'] ) );
        $blog     = get_page_by_title( html_entity_decode( $reading_settings['blog'] ) );
        if ( ( isset( $homepage ) && $homepage->ID ) && ( isset( $blog ) && $blog->ID) ) {
            update_option( 'show_on_front',   'page' );
            update_option( 'page_on_front',   $homepage->ID );
            update_option( 'page_for_posts',  $blog->ID );
          return true;
        }
      }
      return false;
    }
    function set_woocommerce_pages( $settings ) {
      if ( class_exists( 'Woocommerce' ) && ! empty( $settings['woocommerce_pages'] ) ) {
        foreach ( $settings['woocommerce_pages'] as $woo_name => $woo_title ) {
          $woopage = get_page_by_title( $woo_title );
          if ( isset( $woopage ) && property_exists( $woopage, 'ID' ) ) {
            update_option( $woo_name, $woopage->ID );
          }
        }
        return true;
      }
      return false;
    }
    function set_nav_menus( $settings ) {

      if ( is_array( $settings['navigation'] ) ) {
        $locations = get_theme_mod( 'nav_menu_locations' );
        $menus = wp_get_nav_menus();

        foreach ( (array) $menus as $theme_menu ) {
          foreach ( (array) $settings['navigation'] as $import_menu ) {
            if ( $theme_menu->name == $import_menu['name'] ) {
              $locations[ $import_menu['location'] ] = $theme_menu->term_id;
            }
          }
        }

        set_theme_mod( 'nav_menu_locations', $locations );
        return true;
      }
      return false;
    }
    function nova_get_demo_path() {
  		$upload_dir = wp_upload_dir();
  		$dir = path_join( $upload_dir['basedir'], 'demo_files' );

  		return $dir;
  	}
    function set_rev_sliders( $revsliders ) {

      if ( class_exists( 'RevSlider' ) && ! empty( $revsliders ) ) {
        $slider = new RevSlider();

        foreach( $revsliders as $filepath ) {
          $slider->importSliderFromPost(true,true,$filepath);
          @unlink( $filepath );
        }

        return true;
      }
      return false;
    }

    $json = null;
    $revsliders = array();

    $settings = array (
      'reading_settings' =>
        array (
          'homepage' => 'Home',
          'blog' => 'Blog',
        ),
      'woocommerce_pages' =>
        array (
          'woocommerce_shop_page_id' => 'Shop',
          'woocommerce_cart_page_id' => 'Cart',
          'woocommerce_checkout_page_id' => 'Checkout',
          'woocommerce_myaccount_page_id' => 'My Account',
        ),
      'navigation' =>
        array (
          0 =>
          array (
            'name' => 'Main Menu',
            'location' => 'nova_menu_primary',
          ),
          1 =>
          array (
            'name' => 'Top Bar',
            'location' => 'nova_topbar_menu',
          ),
          2 =>
          array (
            'name' => 'Main Menu',
            'location' => 'nova_mobile_menu',
          ),
        ),
    );

    if( 'Bellery Demo 02' === $selected_import['import_file_name'] ) {
      $settings['reading_settings']['homepage'] = 'Home 02';
      nova_download_file_to_local( 'http://assets.novaworks.net/plugins/bellery/home_2.zip',nova_get_demo_path() );
      $revsliders = array(
        trailingslashit( nova_get_demo_path() ) . 'home_2.zip'
      );

    }
    if( 'Bellery Demo 03' === $selected_import['import_file_name'] ) {
      $settings['reading_settings']['homepage'] = 'Home 03';
    }
    if( 'Bellery Demo 04' === $selected_import['import_file_name'] ) {
      $settings['reading_settings']['homepage'] = 'Home 04';
    }
    set_elementor_config();
    set_reading_options( $settings );
    set_woocommerce_pages( $settings );
    set_nav_menus( $settings );
    set_rev_sliders( $revsliders );

    flush_rewrite_rules();
}
add_action( 'pt-ocdi/after_import', 'bellery_after_import_setup' );

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );
