<?php


function bellery_theme_register_required_plugins() {

  $plugins = array(
    'bellery-plugin' => array(
      'name'               => esc_html__('Bellery Core Plugin','bellery'),
      'slug'               => 'bellery-core',
      'source'             => 'http://assets.novaworks.net/plugins/bellery/bellery-core.zip',
      'required'           => true,
      'description'        => esc_html__('Extends the functionality of Bellery with theme specific shortcodes and page builder elements.','bellery'),
      'demo_required'      => true,
      'version'            => '1.0.0'
    ),
    'elementor' => array(
      'name'               => esc_html__('Elementor Page Builder','bellery'),
      'slug'               => 'elementor',
      'required'           => true,
      'description'        => esc_html__('The most advanced frontend drag & drop page builder. Create high-end, pixel perfect websites at record speeds. Any theme, any page, any design.','bellery'),
      'demo_required'      => true
    ),
    'nova-elements'=> array(
      'name'               => esc_html__('Nova Elements For Elementor','bellery'),
      'slug'               => 'nova-elements',
      'source'				     => 'http://assets.novaworks.net/plugins/bellery/nova-elements.zip',
      'required'           => true,
      'description'        => esc_html__('This plugin use only for Nova theme with Elementor Page Builder.','bellery'),
      'demo_required'      => true,
      'version'            => '1.0'
    ),
    'woocommerce' => array(
      'name'               => esc_html__('WooCommerce','bellery'),
      'slug'               => 'woocommerce',
      'required'           => true,
      'description'        => esc_html__('The eCommerce engine','bellery'),
      'demo_required'      => true
    ),
    'kirki' => array(
      'name'               => esc_html__('Kirki','bellery'),
      'slug'               => 'kirki',
      'required'           => true,
      'demo_required'      => true
    ),
    'yith-woocommerce-wishlist' => array(
      'name'               => esc_html__('YITH WooCommerce Wishlist','bellery'),
      'slug'               => 'yith-woocommerce-wishlist',
      'required'           => false,
      'description'        => esc_html__('YITH WooCommerce Wishlist gives your users the possibility to create, fill, manage and share their wishlists allowing you to analyze their interests and needs to improve your marketing strategies.','bellery'),
      'demo_required'      => true
    ),
    'one-click-demo-import'=> array(
      'name'               => esc_html__('One Click Demo Import','bellery'),
      'slug'               => 'one-click-demo-import',
      'required'           => false,
      'description'        => esc_html__('Import your content, widgets and theme settings with one click. Theme authors! Enable simple demo import for your theme demo data.','bellery'),
      'demo_required'      => true
    ),
    'envato-market' => array(
      'name'               => esc_html__('Envato Market','bellery'),
      'slug'               => 'envato-market',
      'source'             => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
      'required'           => false,
      'description'        => esc_html__('Automatically update your Envato theme','bellery'),
      'demo_required'      => true
    ),
    'revslider' => array(
      'name'               => esc_html__('Slider Revolution','bellery'),
      'slug'               => 'revslider',
      'source'				     => 'http://assets.novaworks.net/plugins/revslider.zip',
      'required'           => false,
      'demo_required'      => true
    ),
    'contact-form-7' => array(
      'name'               => esc_html__('Contact Form 7','bellery'),
      'slug'               => 'contact-form-7',
      'required'           => false,
      'description'        => esc_html__('Just another contact form plugin. Simple but flexible.','bellery'),
      'demo_required'      => true
    ),
    'yikes-inc-easy-mailchimp-extender' => array(
      'name'               => esc_html__('Easy Forms for Mailchimp','bellery'),
      'slug'               => 'yikes-inc-easy-mailchimp-extender',
      'required'           => false,
      'description'        => esc_html__('The ultimate Mailchimp WordPress plugin.','bellery'),
      'demo_required'      => true
    ),
  );

	$config = array(
	  'id'                => 'bellery',
		'default_path'      => '',
		'parent_slug'       => 'themes.php',
		'menu'              => 'tgmpa-install-plugins',
		'has_notices'       => true,
		'is_automatic'      => true,
	);

	tgmpa( $plugins, $config );
}

add_action( 'tgmpa_register', 'bellery_theme_register_required_plugins' );
