<?php
	$author = get_the_author();
	$author_meta_desc = get_the_author_meta( 'description' )
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<div class="entry-meta">

			<div class="entry-meta__item entry-meta-author">

				<a class="author-all-posts" href="<?php echo get_author_posts_url( get_the_author_meta('ID') ) ?>">
					<?php echo get_the_author_meta( 'nickname' ) ?>
				</a>

				<?php echo wp_kses_post(__( '<span>on</span> ', 'bellery' ));?><?php echo nova_posted_on(); ?>

			</div>

		</div>
		<?php if ( Nova_OP::getOption('blog_single_featured') == 1 ) the_post_thumbnail('full'); ?>

	</header><!-- .entry-header -->

	<div class="row">

		<div class="small-12 small-centered medium-12 large-12 columns">

			<div class="entry-content">

				<?php the_content(); ?>

				<?php
				wp_link_pages( array(
					'before' => '<div class="page-links">' . wp_kses_post(__( '<span class="pages">Pages:</span>', 'bellery' )),
					'after'  => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
				) );
				?>
				<?php if(has_tag()):?>
				<div class="entry-tags">
					<div class="entry-meta__item entry-meta__item--tags">
						<?php the_tags(wp_kses_post(__('<span>Tags:</span>', 'bellery' )), '', ''); ?>
					</div>
				</div>
			<?php endif?>
			<?php if(has_category()): ?>
				<?php
				$categories = get_the_category();
				$separator = ' ';
				$output = wp_kses_post(__('<span>Categories:</span>', 'bellery' ));
				if ( ! empty( $categories ) ) :
				?>
				<div class="entry-tags">
					<div class="entry-meta__item entry-meta__item--tags for-cat">
						<?php

						    foreach( $categories as $category ) {
						        $output .= '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'bellery' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
						    }
						    echo trim( $output, $separator );

						?>
					</div>
				</div>
				<?php endif?>
			<?php endif?>
			</div><!-- .entry-content -->

		</div>

	</div>

</article><!-- #post-## -->
