<?php
$header_class = "";
$header_wide = "";
if(
	'on' == Nova_OP::getOption('header_transparent')
	|| 'transparency_light' == get_post_meta( nova_get_page_id(), 'metabox_header_transparency', true )
	|| 'transparency_dark' == get_post_meta( nova_get_page_id(), 'metabox_header_transparency', true )
)
{
	$header_class .= "header-transparent ";
	$header_class	.= get_post_meta( nova_get_page_id(), 'metabox_header_transparency', true );
}else {
	$header_class .= "header-static ";
}
if('on' == Nova_OP::getOption('header_wide')) {
	$header_wide = 'nova-row';
}else {
	$header_wide = 'nova-header-container';
}
 ?>
<header id="masthead" class="nova-header header-type-2 <?php echo esc_attr($header_class) ?> headroom">
		<div class="row <?php echo esc_attr($header_wide)?> nova-header__inner collapse align-middle">
			<div class="small-12 medium-4 large-2 columns">
				<div class="nova-header__branding header-branding site-secondary-font">

					<?php if ( ! empty( Nova_OP::getOption('header_logo') ) ) : ?>

						<div class="site-logo">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
								<img class="logo-dark" src="<?php echo esc_url( Nova_OP::getOption('header_logo') ); ?>" title="<?php bloginfo('name'); ?>" alt="<?php bloginfo('name'); ?>">
								<img class="logo-light" src="<?php echo esc_url( Nova_OP::getOption('header_logo_light') ); ?>" title="<?php bloginfo('name'); ?>" alt="<?php bloginfo('name'); ?>">
							</a>
						</div>

					<?php else : ?>

						<div class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a></div>

					<?php endif; ?>

				</div>
			</div>
			<div class="small-12 medium-8 large-10 columns">
				<div class="nova-header__right-action">
					<ul class="actions">

						<?php if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) : ?>
						<?php if ( Nova_OP::getOption('header_user_account') == 1 ) : ?>
							<li class="header-account">
								<a href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>">
									<svg class="svg-icon">
									 <use xlink:href="#bellery-menu-user"></use>
									</svg>
								</a>
							</li>
						<?php endif; ?>
						<?php endif; ?>

						<?php if ( NOVA_WISHLIST_IS_ACTIVE ) : ?>
						<?php if ( Nova_OP::getOption('header_wishlist') == 1 ) : ?>
							<li class="header-wishlist">
								<a href="<?php echo esc_url(YITH_WCWL()->get_wishlist_url()); ?>">
									<svg class="svg-icon">
									 <use xlink:href="#bellery-wishlist"></use>
									</svg>
									<div class="count-badge js-count-wishlist-item"><?php echo yith_wcwl_count_products(); ?></div>
								</a>
							</li>
						<?php endif; ?>
						<?php endif; ?>

						<?php if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) : ?>
						<?php if ( Nova_OP::getOption('header_cart') == 1 ) : ?>
							<li class="header-cart">
								<a href="<?php echo esc_url(wc_get_cart_url()); ?>" data-toggle="header-sticky-minicart">
									<svg class="svg-icon">
									 <use xlink:href="#bellery-bag"></use>
									</svg>
									<div class="count-badge js_count_bag_item"><?php echo esc_html(WC()->cart->get_cart_contents_count()); ?></div>
								</a>
									<div class="header-minicart-placeholder">
										<div class="dropdown-pane minicart" id="header-sticky-minicart" data-dropdown data-hover="true" data-hover-pane="true" data-alignment="right">
											<?php if ( class_exists( 'WC_Widget_Cart' ) ) { the_widget( 'WC_Widget_Cart' ); } ?>
										</div>
									</div>
							</li>
						<?php endif; ?>
						<?php endif; ?>

						<?php if ( Nova_OP::getOption('header_search_toggle') == 1 ) : ?>
							<li class="offcanvas-menu-button header-search">
								<a data-toggle="searchOffCanvas">
									<svg class="svg-icon">
									 <use xlink:href="#bellery-search"></use>
									</svg>
								</a>
							</li>
						<?php endif; ?>

					</ul>
				</div>
				<div class="nova-header__navigation">
					<nav class="navigation-foundation">
						<?php
							wp_nav_menu(array(
								'theme_location'    => 'nova_menu_primary',
								'container'         => false,
								'menu_class'        => 'nova-main-navigation-menu dropdown menu site-secondary-font',
								'items_wrap'        => '<ul id="%1$s" class="%2$s" data-dropdown-menu data-hover-delay="250" data-closing-time="250">%3$s</ul>',
								'link_before'       => '<span>',
								'link_after'        => '</span>',
								'fallback_cb'     	=> 'Foundation_Dropdown_Menu_Fallback',
								'walker'            => new Foundation_Dropdown_Menu_Walker(),
							));
						?>
					</nav>
					<div class="foundation-hover-dropdown-box">
						<?php do_action('primary-nova_widedropdown'); ?>
					</div>
				</div>
			</div>
		</div>
</header>
