<?php

// @version 3.4.0

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
get_header( 'shop' );
$sidebar = ( (1 == Nova_OP::getOption('shop_sidebar')) );
$shop_width_layout = ( ('wide' == Nova_OP::getOption('shop_layout_width')) );
if (nova_is_custom_archive()):
	remove_action( 'woocommerce_product_loop_start', 'woocommerce_maybe_show_product_subcategories' );
endif;
?>

<div class="row small-collapse<?php echo ( $shop_width_layout ) ? ' site-wide-layout' : ''; ?><?php echo ( $sidebar && is_active_sidebar( 'shop-widget-area' ) ) ? '' : ' no-sidebar'; ?>">

	<div class="large-12 columns">

		<div class="site-content<?php echo ( $sidebar && is_active_sidebar( 'shop-widget-area' ) ) ? ' shop-has-sidebar' : ''; ?>">

			<?php do_action( 'woocommerce_before_main_content' ); ?>
			<div class="row">

				<?php if ( $sidebar && is_active_sidebar( 'shop-widget-area' ) && Nova_OP::getOption('shop_sidebar_position') == 'left') : ?>

					<div id="sidebar_primary" class="small-12 large-3 columns show-for-large">
						<div class="woocommerce-sidebar-sticky">
							<?php do_action( 'woocommerce_sidebar' ); ?>
						</div>
					</div>

				<?php endif; ?>

				<div id="content_primary" class="small-12 <?php echo ( $sidebar && is_active_sidebar( 'shop-widget-area' ) ) ? 'large-9' : 'large-12'; ?> columns">

					<div class="site-main-content-wrapper">

						<div class="shop_header_placeholder">

							<header class="woocommerce-archive-header">

								<?php do_action( 'woocommerce_before_shop_products_header' ); ?>
									<?php
										if( (( woocommerce_get_loop_display_mode() != 'subcategories' ) && (wc_get_loop_prop( 'total' ) > 0 )) || nova_is_custom_archive() ): ?>
										<div class="woocommerce-archive-header-inside">
										<div class="woocommerce-archive-toolbar sh--color">
											<?php do_action( 'nova_woocommerce_catalog_ordering' ); ?>
											<span class="btn-advanced-shop-filter">
												<svg class="bellery-filter-icon">
												 <use xlink:href="#bellery-filter-icon"></use>
												</svg>
												<?php esc_html_e('Filters', 'bellery'); ?>
											</span>
											<div class="shop-display-type">
												<span class="shop-display-grid <?php echo (Nova_OP::getOption('shop_layout_style') == 'grid') ? 'active' : ''; ?>">
													<svg class="bellery-grid-icon">
													 <use xlink:href="#bellery-grid"></use>
													</svg>
												</span>
												<span class="shop-display-list <?php echo (Nova_OP::getOption('shop_layout_style') == 'list') ? 'active' : ''; ?>">
													<svg class="bellery-list-icon">
													 <use xlink:href="#bellery-list"></use>
													</svg>
												</span>
											</div>
										</div>
									</div>
									<?php endif; ?>

								<?php do_action( 'woocommerce_after_shop_products_header' ); ?>

								<?php get_template_part( 'template-parts/shop/shop_filters' ) ?>

							</header>

						</div>

						<?php do_action( 'woocommerce_archive_description' ); ?>

						<div class="row">

							<div class="large-12 columns">

								<div class="site-main-content">

									<?php if ( (function_exists('woocommerce_product_loop') && woocommerce_product_loop()) || have_posts() ) :

										do_action( 'woocommerce_before_shop_loop' );

											woocommerce_product_loop_start();
											if ( wc_get_loop_prop( 'total' ) || ( nova_is_custom_archive())) {
											?>
											<li class="grid-new-row"></li>
											<?php while ( have_posts() ) : the_post(); ?>

												<?php do_action( 'woocommerce_shop_loop' ); ?>
												<?php wc_get_template_part( 'content', 'product' ); ?>

											<?php endwhile; ?>
										<?php } ?>

										<?php woocommerce_product_loop_end(); ?>

										<?php do_action( 'woocommerce_after_shop_loop' ); ?>

									<?php else :  ?>

										<?php do_action( 'woocommerce_no_products_found' ); ?>

									<?php endif; ?>


								</div> <!-- end site-main-content -->

							</div> <!-- end large-12 -->

						</div><!-- end row -->

					</div> <!-- end site-main-content-wrapper -->

				</div>

				<?php if ( $sidebar && is_active_sidebar( 'shop-widget-area' ) && Nova_OP::getOption('shop_sidebar_position') == 'right') : ?>

					<div id="sidebar_primary" class="small-12 large-3 columns show-for-large">
						<div class="woocommerce-sidebar-sticky">
							<?php do_action( 'woocommerce_sidebar' ); ?>
						</div>
					</div>

				<?php endif; ?>

			</div> <!-- end row -->

			<?php do_action( 'woocommerce_after_main_content' ); ?>

		</div> <!-- end site-content -->

	</div> <!-- end large-12 -->

</div> <!-- end row -->

<?php
get_footer( 'shop' );
