<?php

// @version 3.6.0

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action('woocommerce_single_product_summary', 'nova_site_breadcrumb', 1);
if ( 'style_2' == Nova_OP::getOption('product_preset') ) {
	remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20 );
	add_action( 'woocommerce_before_single_product_summary', 'nova_show_product_images', 20 );
}
if ( 'style_3' == Nova_OP::getOption('product_preset') ) {
	remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20 );
	add_action( 'woocommerce_before_single_product_summary', 'nova_show_product_images_3', 20 );
}
// Social Share Products
if ( 1 == Nova_OP::getOption('single_product_social_share') ) {
	add_action('woocommerce_single_product_summary', 'nova_single_product_share', 40);
}
// Upsells Products
if ( 1 != Nova_OP::getOption('upsell_products') ) {
	remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15 );
}

// Related Products
if ( 1 != Nova_OP::getOption('related_products') ) {
	remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
}

$product_gallery_class  = Nova_OP::getOption('single_product_sidebar') === true ? 'small-12 large-6 columns' : 'small-12 large-7 columns';
$product_info_class 	= Nova_OP::getOption('single_product_sidebar') === true ? 'small-12 large-4 columns' : 'small-12 large-5 columns';
$product_sidebar_class  = 'small-12 large-2 columns';

?>


<?php
	do_action( 'woocommerce_before_single_product' );

	if ( post_password_required() ) {
		echo get_the_password_form();
		return;
	}
?>

<div id="product-<?php the_ID(); ?>" <?php function_exists('wc_product_class')? wc_product_class('product') : post_class('product'); ?>>
	<div class="product_infos">
		<div class="row">

			<?php if ( !empty(Nova_OP::getOption('single_product_sidebar')) && Nova_OP::getOption('single_product_sidebar') === true && Nova_OP::getOption('single_product_sidebar_position') == 'left' ): ?>
				<div class="<?php echo esc_attr($product_sidebar_class); ?>">
					<div class="show-for-large">
						<div class="nova-product-single-sidebar sticky-element">
							<?php dynamic_sidebar( 'single-product-widget-area' ); ?>
						</div>
					</div>
				</div>
			<?php endif; ?>

			<div class="<?php echo esc_attr($product_gallery_class); ?>">

				<div class="before-product-summary-wrapper">

					<?php do_action( 'woocommerce_before_single_product_summary' ); ?>

					<div class="product-item__badges">
						<?php do_action( 'woocommerce_product_badges' ); ?>
					</div>

					<div class="single-product__actions">
						<?php do_action( 'single_product_actions' ); ?>
					</div>

				</div>

			</div>

			<div class="<?php echo esc_attr($product_info_class); ?>">
				<div class="summary entry-summary<?php if ( 'style_2' == Nova_OP::getOption('product_preset') or 'style_3' == Nova_OP::getOption('product_preset') ):?> sticky-element<?php endif ?>">
					<?php do_action( 'woocommerce_single_product_summary' ); ?>
				</div>
			</div>

			<?php if ( !empty(Nova_OP::getOption('single_product_sidebar')) && Nova_OP::getOption('single_product_sidebar') === true && Nova_OP::getOption('single_product_sidebar_position') == 'right' ): ?>
				<div class="<?php echo esc_attr($product_sidebar_class); ?>">
					<div class="show-for-large">
						<div class="nova-product-single-sidebar sticky-element">
							<?php dynamic_sidebar( 'single-product-widget-area' ); ?>
						</div>
					</div>
				</div>
			<?php endif; ?>

		</div>
	</div>
</div>

<div class="row">
	<div class="large-12 columns">
		<div class="after-product-summary">
			<?php do_action( 'woocommerce_after_single_product_summary' ); ?>
		</div>
	</div>
</div>

<?php do_action( 'woocommerce_after_single_product' ); ?>
